We made it!

This release, although relatively small on its own, is built on years of feedback and iteration. So these notes will be a bit more broad and cover all the things you may have missed since you last checked in on our little CI system.

First off, a huge thanks to [Pivotal](https://pivotal.io) for sponsoring our project and letting us work on it full-time. Over the past year we've had 17 team members rotating through, including 2 designers. Pretty sweet.

With 1.0.0 comes a more rigid release policy on our end. You may see deprecations here and there, so keep an eye out for those via the tags next to each release note, but nothing should change backwards-incompatibly until 2.0.0. We'll still be releasing at the same cadence as before, so we'll probably end up at v1.23.0 pretty soon.

Here's a text-form 80's montage of all the things you may have missed since v0.17.0, our first release:

#### <sub><sup><a name="v100-note-1" href="#v100-note-1">:link:</a></sup></sub> feature

* [Steps](https://concourse-ci.org/steps.html) replaced the old style job config.
  
  
#### <sub><sup><a name="v100-note-2" href="#v100-note-2">:link:</a></sup></sub> feature

* A [standalone binary](https://concourse-ci.org/install.html) distribution of Concourse has been introduced. (Download links to the right.)
  
  
#### <sub><sup><a name="v100-note-3" href="#v100-note-3">:link:</a></sup></sub> feature

* Caching and more efficient artifact propagation: resources fetched by [`get` step](https://concourse-ci.org/get-step.html)s are cached on the workers and efficiently propagated throughout steps in the build plan.
  
  
#### <sub><sup><a name="v100-note-4" href="#v100-note-4">:link:</a></sup></sub> feature

* A single Concourse can be configured with multiple pipelines dynamically.
  
  
#### <sub><sup><a name="v100-note-5" href="#v100-note-5">:link:</a></sup></sub> feature

* [GitHub auth](https://concourse-ci.org/github-auth.html)!
  
  
#### <sub><sup><a name="v100-note-6" href="#v100-note-6">:link:</a></sup></sub> feature

* Custom resource types can now be added via [Resource Types](https://concourse-ci.org/resource-types.html) in the pipeline, rather than reconfiguring your workers.
  
  
#### <sub><sup><a name="v100-note-7" href="#v100-note-7">:link:</a></sup></sub> fix

* Lots of performance improvements and optimizations, and resilience to flaky networks.
  
  
#### <sub><sup><a name="v100-note-8" href="#v100-note-8">:link:</a></sup></sub> feature

* [The `fly` CLI](https://concourse-ci.org/fly.html) has been entirely rewritten and is much more consistent in UX.
  
  
#### <sub><sup><a name="v100-note-9" href="#v100-note-9">:link:</a></sup></sub> feature

* Concourse knows its own version number and will warn you if your CLI is out of date.
  
  
#### <sub><sup><a name="v100-note-10" href="#v100-note-10">:link:</a></sup></sub> feature

* Tasks have explicit [**`inputs`**](https://concourse-ci.org/tasks.html#task-inputs) and [**`outputs`**](https://concourse-ci.org/tasks.html#task-outputs), making artifact consumption and production a lot easier to follow.
  
  
#### <sub><sup><a name="v100-note-11" href="#v100-note-11">:link:</a></sup></sub> feature

* A new color scheme that's more colorblind-friendly.
  
  
#### <sub><sup><a name="v100-note-12" href="#v100-note-12">:link:</a></sup></sub> feature

* A whole bunch of improvements to [core resources](https://concourse-ci.org/resource-types.html).
  
  
...and now for the actual 1.0 release notes, if you're upgrading from [**v0.76.0**](https://github.com/concourse/concourse/releases/tag/v0.76.0):

#### <sub><sup><a name="v100-note-13" href="#v100-note-13">:link:</a></sup></sub> feature, breaking

* The Concourse BOSH release is now built for BOSH 2.0. You will need a recent director to upgrade.
  
  
#### <sub><sup><a name="v100-note-14" href="#v100-note-14">:link:</a></sup></sub> fix

* Resources backed by a resource type defined in [Resource Types](https://concourse-ci.org/resource-types.html) will now periodically check for new versions of the resource type and use the latest one for checking. Previously the same container would be reused forever even if a new version of the resource type was released.
  
  
#### <sub><sup><a name="v100-note-15" href="#v100-note-15">:link:</a></sup></sub> feature

* We've added `aria-label` attributes to all buttons in the UI, which should improve accessibiltiy for folks using screen readers. Still a ways to go overall, but this is a start.
  
  
#### <sub><sup><a name="v100-note-16" href="#v100-note-16">:link:</a></sup></sub> fix

* Lots of dots in sequence in build output will now word-wrap once again.
  
  
#### <sub><sup><a name="v100-note-17" href="#v100-note-17">:link:</a></sup></sub> feature

* The BOSH release can now be configured to use GitHub enterprise endpoints for GitHub auth.
  
  
#### <sub><sup><a name="v100-note-18" href="#v100-note-18">:link:</a></sup></sub> fix

* Connections from ATC to Baggage Claim will now retry on connection errors.
  
  
#### <sub><sup><a name="v100-note-19" href="#v100-note-19">:link:</a></sup></sub> fix

* Fixed an issue where volumes would "expire" even though a build was still using them. Did a bunch of refactoring and now it should all be pretty airtight.
  
  
#### <sub><sup><a name="v100-note-20" href="#v100-note-20">:link:</a></sup></sub> fix

* We've fixed a goroutine leak on the ATC which would occur every time [**`image_resource`**](https://concourse-ci.org/tasks.html#image_resource) was used.
  
  
