#### <sub><sup><a name="v120-note-1" href="#v120-note-1">:link:</a></sup></sub> feature

* [`fly`](https://concourse-ci.org/fly.html) learned the [`fly check-resource`](https://concourse-ci.org/managing-resources.html#fly-check-resource) command, which allows you to force detection of versions, notably those in the past. This is useful if you've configured a new resource but want to use a version that's not the latest one.
  
  As part of this change we've slightly tweaked how [`check`](https://concourse-ci.org/implementing-resource-types.html#resource-check) works (in a backwards-compatible way). Your `check` script should now include the requested version in the response if it's still valid. This is so that you can run `check-resource` with the version that you want, rather than the one before it.
  
  
#### <sub><sup><a name="v120-note-2" href="#v120-note-2">:link:</a></sup></sub> feature

* [`get` step](https://concourse-ci.org/get-step.html)s can now be pinned to a specific version.
  
  Example:
  
  ```yaml
  plan:
  - get: my-repo
    version: {ref: cb0ed22c4cfc6b7524bcafc1664b2d27035521f9}
  ```
  
  This will lock the `my-repo` step to the specified version. Note that the version must be valid, must be collected in the resource's version history (which means you may want to use [`fly check-resource`](https://concourse-ci.org/managing-resources.html#fly-check-resource)), and must also satisfy any [**`passed`**](https://concourse-ci.org/get-step.html#get-step-passed) constraints listed on the step.
  
  See [**`version`**](https://concourse-ci.org/get-step.html#get-step-version) for more information.
  
  
#### <sub><sup><a name="v120-note-3" href="#v120-note-3">:link:</a></sup></sub> feature

* [`get` step](https://concourse-ci.org/get-step.html)s can now be configured to run with every version of its resource, rather than skipping to the latest.
  
  Example:
  
  ```yaml
  plan:
  - get: pull-requests
    version: every
  ```
  
  This will allow the build to run with every version of the resource, which is probably a bad idea for certain git repos (where folks may push 100 commits at once), but can make a lot of sense for other things (security auditing, handling all pull requests, processing commits across multiple branches, etc.).
  
  See [**`version`**](https://concourse-ci.org/get-step.html#get-step-version) for more information.
  
  
#### <sub><sup><a name="v120-note-4" href="#v120-note-4">:link:</a></sup></sub> fix

* We've fixed the rendering of multi-field versions in the UI to be substantially less confusing.
  
  As part of this we've tweaked how we render steps in the UI. The checkboxes are now more subtle and less button-like, and aggregate steps look cooler.
  
  
#### <sub><sup><a name="v120-note-5" href="#v120-note-5">:link:</a></sup></sub> fix

* The ATC now validates that its URL flags are valid URLs. Previously you could configure an `--external-url` of `example.com`, which is missing the scheme, so some things would break.
  
  
#### <sub><sup><a name="v120-note-6" href="#v120-note-6">:link:</a></sup></sub> feature

* We've bumped to Go 1.6.1. You probably don't care.
  
  
#### <sub><sup><a name="v120-note-7" href="#v120-note-7">:link:</a></sup></sub> fix

* The [`docker-image` resource](https://github.com/concourse/docker-image-resource) now requests the correct schema version of manifests from the registry, which should fix cases where it would pull the wrong digest.
  
  This is thanks to a PR from @databus23.
  
  
#### <sub><sup><a name="v120-note-8" href="#v120-note-8">:link:</a></sup></sub> fix

* The [`s3` resource](https://github.com/concourse/s3-resource) now issues a shouty warning if you're still using `from` and `to`.
  
  It's configured to blink but our web UI doesn't (YET) support blinking text. Consider this a warning. You have one release to comply or be met with red, blinking text in your builds.
  
  
#### <sub><sup><a name="v120-note-9" href="#v120-note-9">:link:</a></sup></sub> fix

* The [`semver` resource](https://github.com/concourse/semver-resource) can now be configured with an identify for the commits made with the `git` backend, thanks to a PR from @shinji62.
  
  
#### <sub><sup><a name="v120-note-10" href="#v120-note-10">:link:</a></sup></sub> feature

* [`fly trigger-job`](https://concourse-ci.org/managing-jobs.html#fly-trigger-job) now has a `-w` flag for watching the build that was created.
  
  
#### <sub><sup><a name="v120-note-11" href="#v120-note-11">:link:</a></sup></sub> fix

* [`fly`](https://concourse-ci.org/fly.html) now respects `$http_proxy` and `$https_proxy` for communication to the Concourse server, thanks to a PR from @ArthurHlt.
  
  
#### <sub><sup><a name="v120-note-12" href="#v120-note-12">:link:</a></sup></sub> feature

* The [`docker-image` resource](https://github.com/concourse/docker-image-resource) now has a `tag_as_latest` param for tagging the image with `latest`, in addition to any specified tag, thanks to a PR from @shinji62.
  
  
