#### <sub><sup><a name="v200-note-1" href="#v200-note-1">:link:</a></sup></sub> feature, breaking

* [TEEEEEEEEEEEEEEEEEEEEEEEEAMS!](https://concourse-ci.org/auth.html)
  
  So, you'll notice that version number made quite a jump. This is why. The long-awaited "teams" feature brings ([trusted](https://concourse-ci.org/teams-caveats.html)) multi-tenancy to Concourse.
  
  The following breaking changes have been made:
  
  
  
  * The `--publicly-viewable` configuration is gone, and is now set on a pipeline-by-pipeline basis, via [`fly expose-pipeline`](https://concourse-ci.org/managing-pipelines.html#fly-expose-pipeline) and [`fly hide-pipeline`](https://concourse-ci.org/managing-pipelines.html#fly-hide-pipeline). Newly configured pipelines are hidden by default, and all existing pipelines will be hidden upon upgrade, so make sure to expose the ones you intend to be public!
    
    
  
  * Many API routes now require the team to specified in the URL, e.g. `/api/v1/teams/foo/pipelines`. Our API still not yet an official interface to Concourse; we continue to encourage using [`fly`](https://concourse-ci.org/fly.html) until we turn it into a properly versioned and documented API.
    
    The web UI routes now also have the team name in them. Old URLs should continue to work, and will now redirect to the new URL.
    
    
  
  Everything else (pipelines and such) should continue to work the same as before, only now they'll belong to the [`main` team](https://concourse-ci.org/main-team.html).
  
  
#### <sub><sup><a name="v200-note-2" href="#v200-note-2">:link:</a></sup></sub> feature, deprecation

* We have deprecated the `/builds` page, previously known as "the second hamburger menu button". Its button in the header was taking up valuable UI space, so we unceremoniously demoted it.
  
  Many of you feel bad for this page.  [That is because you crazy.](https://www.youtube.com/watch?v=dBqhIVyfsRg) It has no feelings! [`fly builds`](https://concourse-ci.org/builds.html#fly-builds) is much better.
  
  Before we kill it off completely, we'll make sure [`fly builds`](https://concourse-ci.org/builds.html#fly-builds) does everything you'd need from the page, which is really just a matter of having a column for the build URL so you can view it in the web UI. Aside from that, [`fly builds`](https://concourse-ci.org/builds.html#fly-builds) is better in every way: if your next step is [`fly intercept`](https://concourse-ci.org/builds.html#fly-intercept), it keeps you in the terminal. You can also change the number of results with `-c`, and filter it to a job with `-j`, both of which should be much faster for finding what you're looking for.
  
  
#### <sub><sup><a name="v200-note-3" href="#v200-note-3">:link:</a></sup></sub> feature

* The favicon will now change color when viewing a build to reflect its status. Pretty neat, right?
  
  Thanks to @zachgersh and @rmasand for the inspiration! - <3 @kimeberz
  
  
#### <sub><sup><a name="v200-note-4" href="#v200-note-4">:link:</a></sup></sub> feature

* As an incremental step in our march towards a fully [Elm](http://elm-lang.org)-based single-page app, we've made some parts of the navigation much snappier. Switching between builds of a job will now update the UI in-place, and toggling pipeline groups now immediately re-renders the existing data set, rather than reloading the entire page.
  
  We'll be focusing more in the upcoming weeks on bringing more of the web UI up to par, ultimately resulting in one big snappy single-page app (hopefully with none of the gotchas that made me hate them at first, i.e. inconsistent data that forces a page refresh and distrust of the entire app as a result).
  
  
#### <sub><sup><a name="v200-note-5" href="#v200-note-5">:link:</a></sup></sub> fix

* Previously if the database or network became sluggish, ATC's locking mechanism would stop functioning, resulting in multiple ATCs trying to manage the same build, among other things. We've switched to Postgres session locks, which should be much more airtight.
  
  
#### <sub><sup><a name="v200-note-6" href="#v200-note-6">:link:</a></sup></sub> feature

* The ATC now supports being configured with [Generic oAuth](https://concourse-ci.org/generic-oauth.html). Huge thanks to @poida for doing the PR for this!
  
  
#### <sub><sup><a name="v200-note-7" href="#v200-note-7">:link:</a></sup></sub> feature

* The ATC now supports being configured with [CF/UAA auth](https://concourse-ci.org/cf-uaa-auth.html).
  
  
#### <sub><sup><a name="v200-note-8" href="#v200-note-8">:link:</a></sup></sub> feature

* The [`docker-image` resource](https://github.com/concourse/docker-image-resource) can now discover older versions. Previously it would only ever emit the current version. This can be used to roll back to a previously known-good image digest.
  
  
#### <sub><sup><a name="v200-note-9" href="#v200-note-9">:link:</a></sup></sub> feature

* We've bumped to Go 1.7 everywhere, and made this process continuous. Whenever Go 1.7.1 or 1.8 come out, we'll automatically pick it up. Turns out there's this pretty neat CI system that can do that kind of thing. You may have heard of it. (It's not Jenkins.)
  
  
#### <sub><sup><a name="v200-note-10" href="#v200-note-10">:link:</a></sup></sub> feature

* [Fly](https://concourse-ci.org/fly.html) learned the `fly-pause-resource` and `fly-unpause-resource` commands, thanks to pull requests from @gregarcara!
  
  
#### <sub><sup><a name="v200-note-11" href="#v200-note-11">:link:</a></sup></sub> feature

* The bar along the top of the page will now turn blue on already-rendered pages if the pipeline the page belongs to is paused.
  
  
#### <sub><sup><a name="v200-note-12" href="#v200-note-12">:link:</a></sup></sub> feature

* The [`fly login`](https://concourse-ci.org/fly.html#fly-login) command now accepts a `--ca-cert` flag, which should be used instead of `-k`. The cert will be persisted for the target (even if its file goes away).
  
  
#### <sub><sup><a name="v200-note-13" href="#v200-note-13">:link:</a></sup></sub> fix

* We've refactored the internal `scheduler` component of the ATC, reducing query usage and generally making it easier to work on in the future.
  
  This refactor also resulting in fixing behavior with [`version: every`](https://concourse-ci.org/get-step.html#get-step-version).
  
  
#### <sub><sup><a name="v200-note-14" href="#v200-note-14">:link:</a></sup></sub> fix

* Fixed volume deletion in BaggageClaim on a few platforms. May have been primarily situations where the root disk was `btrfs`.
  
  
#### <sub><sup><a name="v200-note-15" href="#v200-note-15">:link:</a></sup></sub> feature

* The [`s3` resource](https://github.com/concourse/s3-resource) now supports encryption options, thanks to a PR from @jmcarp!
  
  
#### <sub><sup><a name="v200-note-16" href="#v200-note-16">:link:</a></sup></sub> feature

* The [`github-release` resource](https://github.com/concourse/github-release-resource) now creates a `body` file when fetching a resource, thanks to a pull request from @shinji62.
  
  Now you can continuously read Concourse's release notes with to determine whether to auto-update!
  
  
#### <sub><sup><a name="v200-note-17" href="#v200-note-17">:link:</a></sup></sub> fix

* The Docker repository image now bakes in the default CA certs, thanks to a PR from @billimek!
  
  
#### <sub><sup><a name="v200-note-18" href="#v200-note-18">:link:</a></sup></sub> fix

* The [`git` resource](https://github.com/concourse/git-resource)'s handling of merge commits now makes a lot more sense.
  
  Previously, a merge commit would result in the history of the merged branch showing up in the version set. For tools like `git log` this makes sense, but from a CI standpoint, you only really care about the effect on the branch that it was merged *into*: it's all or nothing. This is now fixed, and only the merge commit itself will be yielded as a version.
  
  Shout-out to @chipx86 for helping us [reason through this on GitHub](https://github.com/concourse/git-resource/issues/39)!
  
  
#### <sub><sup><a name="v200-note-19" href="#v200-note-19">:link:</a></sup></sub> fix

* The [`time` resource](https://github.com/concourse/time-resource) works now.
  
  It was pretty broken before, because time is hard.
  
  There were a couple issues:
  
  
  
  * If your `start` and `stop` were configured in some non-UTC timezone, say, `-0700`, it straight up wouldn't work if the times were late enough in the day. For real.
    
    
  
  * If you configured `days` and `start` and `stop`, the days would be treated as UTC, rather than respecting the timezone in `start` or `stop`. What's more, `start` and `stop` could be emitted, leaving there no place for a location for the days to even be specified.
    
    We've added a `location` field, which should be used instead of embedded offsets, and then `days` will respect it.
    
    
  
  
#### <sub><sup><a name="v200-note-20" href="#v200-note-20">:link:</a></sup></sub> fix

* The BOSH release will now leave 10GB of space free for the system, rather than allocating all of it for BaggageClaim. This is mainly to make the failure mode better. Without this overhead, BaggageClaim would fill up the host's disk, then fail to write to *that*, and then panic and go read-only, making it unrecoverable. Now the BaggageClaim volume will still fill up, but it'll at least be able to expire volumes and such, and the host machine will still function within its 10GB overhead.
  
  This is all thanks to some sleuthing and a pull request from @alext.
  
  
#### <sub><sup><a name="v200-note-21" href="#v200-note-21">:link:</a></sup></sub> feature

* The [`bosh-deployment` resource](https://github.com/concourse/bosh-deployment-resource) now has the BOSH cli v1.3262.4, thanks to a PR from @alex-slynko!
  
  
