#### <sub><sup><a name="v220-note-1" href="#v220-note-1">:link:</a></sup></sub> feature

* [The Algorithm](https://github.com/concourse/atc/tree/master/db/algorithm) has become much faster. The Algorithm is what computes the candidate set of inputs for a job, and is the second hardest problem in Concourse (behind the pipeline UI).
  
  In some cases, e.g. when disabling an oft-used resource version, The Algorithm would go buck-wild and use 100% CPU trying to locate the new set of version candidates. This was undesirable.
  
  Luckily, we prepared for this kind of degenerative case, and made it easy to capture the data sets that replicate the issue. We captured the data set, observed the slowness (had a build running for >12 hours before we gave up), thought long and hard, and did a bunch of work to bring that down to ~19 seconds.
  
  Hopefully that's the last of the 100% CPU monster. Overall scheduling performance has also improved across the board.
  
  
#### <sub><sup><a name="v220-note-2" href="#v220-note-2">:link:</a></sup></sub> feature

* The pipeline view will now only redraw if the data has changed. We've also fixed a regression in [**v2.0.0**](https://github.com/concourse/concourse/releases/tag/v2.0.0) that led to redrawing multiple times on an interval, likely leading to the tab crashing if left in the background.
  
  
#### <sub><sup><a name="v220-note-3" href="#v220-note-3">:link:</a></sup></sub> feature

* Turns out [`fly set-team`](https://concourse-ci.org/managing-teams.html#fly-set-team) made it stupidly easy to configure a team (or reconfigure an existing team) with no auth credentials. I'm not saying something bad happened, but uh, it'll now warn you and force you to type a really long flag, and even shame you a little bit even when you use it.
  
  
#### <sub><sup><a name="v220-note-4" href="#v220-note-4">:link:</a></sup></sub> feature

* The [`fly`](https://concourse-ci.org/fly.html) binaries are now build natively on each platform, rather than cross-compiled. This removes a few surprises like native DNS and OS X Keychain functionality not working.
  
  They're also now available for download alongside the rest of Concourse, rather than having to download from a Concourse installation.
  
  
#### <sub><sup><a name="v220-note-5" href="#v220-note-5">:link:</a></sup></sub> feature

* The `--auth-duration` flag introduced in [**v2.1.0**](https://github.com/concourse/concourse/releases/tag/v2.1.0) is now available as a BOSH property (`auth_duration`, surprise surprise). Thanks to @JamesClonk for the PR!
  
  
#### <sub><sup><a name="v220-note-6" href="#v220-note-6">:link:</a></sup></sub> feature

* `fly checklist` now generates a `Checkfile` with the team name present, thanks to a PR by @Amit-PivotalLabs.
  
  Be sure to upgrade [Checkman](http://github.com/cppforlife/checkman) as well for this to work.
  
  
#### <sub><sup><a name="v220-note-7" href="#v220-note-7">:link:</a></sup></sub> feature

* [Generic oAuth](https://concourse-ci.org/generic-oauth.html) now supports checking presence of a scope, thanks to a PR by @LinuxBozo!
  
  
#### <sub><sup><a name="v220-note-8" href="#v220-note-8">:link:</a></sup></sub> feature

* The [`docker-image` resource](https://github.com/concourse/docker-image-resource) now supports [build args](https://docs.docker.com/engine/reference/commandline/build/#/set-build-time-variables-build-arg), thanks to a PR from @o-orand!
  
  
#### <sub><sup><a name="v220-note-9" href="#v220-note-9">:link:</a></sup></sub> feature

* [`fly sync`](https://concourse-ci.org/fly.html#fly-sync) will bail early if the versions already match, thanks to a PR from @geofffranks!
  
  
#### <sub><sup><a name="v220-note-10" href="#v220-note-10">:link:</a></sup></sub> fix

* Turns out Chrome is really, really bad at rendering our build page now. We've made some improvements to this but I think more work is ahead of us.
  
  Compared to Firefox and Safari, Chrome seems to redraw the *entire dang page* on *every friggin update*. Which means every second when we update that stupid little ticker up top, the whole page and all its output repaints.
  
  For shame, Chrome.
  
  If it's unbearable you can try Firefox or Safari, which seem to render more sensibly.
  
  We've also fixed a bug that led to interpreting the event stream multiple times for builds that have a ton of output, thereby making things even slower and jankier.
  
  
#### <sub><sup><a name="v220-note-11" href="#v220-note-11">:link:</a></sup></sub> fix

* The [`docker-image` resource](https://github.com/concourse/docker-image-resource) `skip_download` parameter now works again. This broke in [**v2.1.0**](https://github.com/concourse/concourse/releases/tag/v2.1.0). Sorry about that.
  
  
