#### <sub><sup><a name="v273-note-1" href="#v273-note-1">:link:</a></sup></sub> fix

* Fix support for `postgresql.address` in BOSH manifests. Turns out if you type "host and port" long enough you start typing ["hort"](https://github.com/concourse/concourse/commit/85622e69db642411d6b4c3b04a43a37bb065fe33) instead of "host". Don't laugh.
  
  
#### <sub><sup><a name="v273-note-2" href="#v273-note-2">:link:</a></sup></sub> feature

* The [`git` resource](https://github.com/concourse/git-resource) now supports pushing with `merge: true`, which is analogous to `rebase: true` but works by merging the remote branch into the current HEAD before pushing. This can be useful to preserve the history of your local commits, i.e. if there's a version tag pointing to HEAD and you don't want commits that aren't technically in the tag to be behind it.
  
  
#### <sub><sup><a name="v273-note-3" href="#v273-note-3">:link:</a></sup></sub> feature

* The [`git` resource](https://github.com/concourse/git-resource) now supports adding and pushing notes, thanks to a PR by @ahume!
  
  
#### <sub><sup><a name="v273-note-4" href="#v273-note-4">:link:</a></sup></sub> fix

* The [`git` resource](https://github.com/concourse/git-resource), when configured with `rebase: true`, would previously discard merge commits, losing historical accuracy of the branch. It now preserves them, via `--rebase=preserve`.
  
  
#### <sub><sup><a name="v273-note-5" href="#v273-note-5">:link:</a></sup></sub> feature

* The [`docker-image` resource](https://github.com/concourse/docker-image-resource) now uses a better caching strategy for `cache: true`, thanks to a PR from @databus23!
  
  
#### <sub><sup><a name="v273-note-6" href="#v273-note-6">:link:</a></sup></sub> fix

* The [`docker-image` resource](https://github.com/concourse/docker-image-resource) no longer makes strict assumptions about the format of the repository, supporting repository names like `my-repository.biz/a/b/c`, thanks to a PR by @ashb!
  
  
#### <sub><sup><a name="v273-note-7" href="#v273-note-7">:link:</a></sup></sub> feature

* The [`github-release` resource](https://github.com/concourse/github-release-resource) resource now supports (and encourages) configuring it with `owner`, rather than `user`, which is closer to the GitHub API terminology (and generally makes more sense, since e.g. `concourse` is an organization, not a user). Thanks @krishicks for the PR!
  
  
#### <sub><sup><a name="v273-note-8" href="#v273-note-8">:link:</a></sup></sub> fix

* The [`hg` resource](https://github.com/concourse/hg-resource) now explicitly checks against the configured branch. This was a longstanding bug fixed with a lot of patience from @Fydon and assistance from @andreasf - thanks to both!
  
  
#### <sub><sup><a name="v273-note-9" href="#v273-note-9">:link:</a></sup></sub> fix

* The [`tracker` resource](https://github.com/concourse/tracker-resource) previously got `400` errors back when checking for story activity, due to an API change on Tracker's part. This may have been fixed by them by now, but there was also a fix in the resource to not send a trailing `?` when the query params are empty.
  
  
