> **warning:** This release requires an update to your workers. You may want to upgrade them first, actually. If you don't the builds will go orange. But maybe you don't care. Read on for more info.
> 
> 
#### <sub><sup><a name="v300-note-1" href="#v300-note-1">:link:</a></sup></sub> feature

* ![Life finds a way.](https://concourse-ci.org/images/life.gif)
  
  Many many moons ago, in the year 2016, we embarked on a noble goal of refactoring how we do, like, everything. The issue started as [More explicit worker, container, volume lifecycles](https://github.com/concourse/concourse/issues/629), and came to be known simply as "life". There were many puns. They were great at first. But some people took them too far. @joshzarrabi.
  
  Anyway, we're done now.
  
  With this upgrade, you should notice an overall reduction in container and volume counts across your workers. You should also see a substantial decrease in database queries to Postgres and network calls to Garden and BaggageClaim, as all the container and volume heartbeating is now gone.
  
  If you're interested in the refactor, read on.
  
  The general idea is to switch away from creating containers and volumes willy-nilly and nagging the worker every 30 seconds to keep them around. Instead, we create containers and volumes that are associated to a richer schema such that we don't have to keep heartbeating and know exactly when it should go away. So to keep something like a cache around indefinitely, we just don't destroy it, rather than pinging it all the time.
  
  Building on the richer schema, we are also more able to determine when we can re-use a container. For example, if you have the same exact resource configured across 10 pipelines, that will result in only one `check` container, rather than 10. This is because there's an abstract notion of a nameless "resource config". We still create one container per team so that [`fly intercept`](https://concourse-ci.org/builds.html#fly-intercept) can't break an entire resource's checking in a multi-tenant environment.
  
  We'll also explicitly remove containers and volumes, rather than relying on Garden and BaggageClaim to kill them once we stop caring about them. This will surface failures to delete in a way that's much easier to notice. This also means that if the ATC goes away for 5 minutes, all its containers and volumes stick around, rather than being mercilessly killed.
  
  A design document for all this will be forthcoming.
  
  
#### <sub><sup><a name="v300-note-2" href="#v300-note-2">:link:</a></sup></sub> feature, breaking

* Workers are now versioned. This will allow the ATC to ignore workers that are too old if it requires a new feature or protocol change. The [`fly workers`](https://concourse-ci.org/administration.html#fly-workers) command will now show the version of each worker and warn you if any are out of date.
  
  Any existing workers you have will be ignored until they are upgraded, so if you upgrade your ATC first, builds that are in flight will fail to resume. If you upgrade the workers first, though, the builds will probably succeed.
  
  
#### <sub><sup><a name="v300-note-3" href="#v300-note-3">:link:</a></sup></sub> feature, breaking

* In a task config, you used to be able to configure a URI specifying the rootfs for the underlying container via a config known as "the other `image`, like, the one you should never use".
  
  We renamed it to something more descriptive and harder to confuse with "the good [**`image`**](https://concourse-ci.org/task-step.html#task-step-image), like, the one you should use": [**`rootfs_uri`**](https://concourse-ci.org/tasks.html#task-rootfs-uri).
  
  
#### <sub><sup><a name="v300-note-4" href="#v300-note-4">:link:</a></sup></sub> feature

* When [`fly intercept`](https://concourse-ci.org/builds.html#fly-intercept)ing a task that uses [**`image_resource`**](https://concourse-ci.org/tasks.html#image_resource), you will no longer be prompted to intercept the `check` and `get` containers for its image. You probably never actually wanted to do that so it was more annoying than helpful. This is something that we got for free as part of the *life* refactor.
  
  
#### <sub><sup><a name="v300-note-5" href="#v300-note-5">:link:</a></sup></sub> feature

* Support for web hooks has landed, thanks to a PR from @mainephd with help from @billimek and others! This was a long-awaited feature that should make many GitHub Enterprise admins very happy.
  
  This feature is implemented in a way that requires no changes from any resources - it "just works". There's no special integration with GitHub, BitBucket, or any hosted offering; you just configure [**`webhook_token`**](https://concourse-ci.org/resources.html#resource-webhook-token) in your resource and pass the hook URL to your service.
  
  
#### <sub><sup><a name="v300-note-6" href="#v300-note-6">:link:</a></sup></sub> feature

* Building on our fancy new schema, we now make sure to keep the image used by a one-off build around for 24 hours. Previously it would expire, like, whenever. I don't know man. It works now.
  
  
#### <sub><sup><a name="v300-note-7" href="#v300-note-7">:link:</a></sup></sub> feature

* We've refactored how auth providers are configured such that all code for a given provider can be defined within a single package. Providers also have an interface to fill out that should cover everything a provider needs to do. This should make it easier (and safer) to submit PRs for auth providers.
  
  
#### <sub><sup><a name="v300-note-8" href="#v300-note-8">:link:</a></sup></sub> feature

* The TSA can now be configured with multiple ATC API endpoints to register with, for HA.
  
  
#### <sub><sup><a name="v300-note-9" href="#v300-note-9">:link:</a></sup></sub> fix

* Fixed a UI quirk with the sidebar in Firefox, thanks to a PR by @archSeer!
  
  
#### <sub><sup><a name="v300-note-10" href="#v300-note-10">:link:</a></sup></sub> feature

* When a resource is failing to check for a meta-level thing like not being able to create its container, the error will now be surfaced in the UI, thanks to a PR by @davidje13!
  
  
#### <sub><sup><a name="v300-note-11" href="#v300-note-11">:link:</a></sup></sub> feature

* The [`docker-image` resource](https://github.com/concourse/docker-image-resource) now uses Docker v17.05.0-ce, which notably includes support for [multi-stage builds](https://docs.docker.com/engine/userguide/eng-image/multistage-build/)!
  
  
#### <sub><sup><a name="v300-note-12" href="#v300-note-12">:link:</a></sup></sub> feature

* BaggageClaim will now do more efficient copying on Windows, thanks to a PR by @jdeppe-pivotal!
  
  
#### <sub><sup><a name="v300-note-13" href="#v300-note-13">:link:</a></sup></sub> fix

* The [`s3` resource](https://github.com/concourse/s3-resource) can now upload files larger than 5MB to GCS, thanks to a PR by @ljfranklin! This was a complicated intersection of API incompatibilies between IaaSes and assumptions made by SDKs. If you want to relive my confusion, see [this comment](https://github.com/concourse/s3-resource/pull/70#issuecomment-296721122) on the PR.
  
  
#### <sub><sup><a name="v300-note-14" href="#v300-note-14">:link:</a></sup></sub> fix

* Concourse looks a bit less jank in Firefox, thanks to a PR by @archSeer which fixes the sidebar padding!
  
  
#### <sub><sup><a name="v300-note-15" href="#v300-note-15">:link:</a></sup></sub> feature

* The [`hg` resource](https://github.com/concourse/hg-resource) supports a more general `revset_filter` configuration, thanks to a PR by @cdevienne!
  
  
#### <sub><sup><a name="v300-note-16" href="#v300-note-16">:link:</a></sup></sub> feature

* Fly learned the [`fly teams`](https://concourse-ci.org/managing-teams.html#fly-teams) command, thanks to a PR by @joonas!
  
  
#### <sub><sup><a name="v300-note-17" href="#v300-note-17">:link:</a></sup></sub> feature

* The ATC will now emit a `worker volumes` metric.
  
  
#### <sub><sup><a name="v300-note-18" href="#v300-note-18">:link:</a></sup></sub> feature

* The `http response time` metric now includes the request method, thanks to a PR by @aditya87!
  
  
