![countdown](https://concourse-ci.org/images/countdown.gif)

#### <sub><sup><a name="v321-note-1" href="#v321-note-1">:link:</a></sup></sub> feature

* The ATC now garbage-collects containers and volumes in parallel, rather than garbage collecting all the containers and then all the volumes. We'll make this even more parallel in the future (while being careful not to swarm the workers).
  
  
#### <sub><sup><a name="v321-note-2" href="#v321-note-2">:link:</a></sup></sub> fix

* A migration introduced in [**v3.2.0**](https://github.com/concourse/concourse/releases/tag/v3.2.0) to ensure there's only one volume per resource cache on a worker would fail if there were already duplicates, making the ATC unable to start. The migration will now nullify the duplicates so that they become garbage-collected.
  
  
#### <sub><sup><a name="v321-note-3" href="#v321-note-3">:link:</a></sup></sub> fix

* We accidentally broke handling of strings passed from `-v` to `{{params}}` by making them actually be parsed as YAML values, for `((params))`. Turns out that was confusing even for `((params))`, so we've made it so that `-v` is always for verbatim strings, just as before, and added `-y` for the less-frequent case of wanting to provide a YAML value as a parameter.
  
  
#### <sub><sup><a name="v321-note-4" href="#v321-note-4">:link:</a></sup></sub> fix

* The ATC became very picky in the last release around extra keys in your pipeline config. It will now permit extra toplevel keys, and only raise a validation error for extra keys nested under `jobs`, `resources`, etc., so you can continue to declare values at the toplevel for YAML anchoring.
  
  
