#### <sub><sup><a name="v330-note-1" href="#v330-note-1">:link:</a></sup></sub> breaking

* A migration introduced in this release loads all the builds into memory and then processes them. It has to do this (rather than read one row at a time and update) as it only has one transaction. This might cause some memory issues on the ATC while upgrading. This migration has been fixed in [**v3.3.4**](https://github.com/concourse/concourse/releases/tag/v3.3.4)
  
  
#### <sub><sup><a name="v330-note-2" href="#v330-note-2">:link:</a></sup></sub> feature

* Our first pass at support for [credential management](https://concourse-ci.org/creds.html) has landed! With this you can externalize all of your credentials in to Vault (more providers coming later), preventing your credentials from ever entering the database and allowing for automatic credential rotation.
  
  For more information on how to configure and use this feature, see [Credential Management](https://concourse-ci.org/creds.html).
  
  
#### <sub><sup><a name="v330-note-3" href="#v330-note-3">:link:</a></sup></sub> feature

* Tasks now support caching arbitrary paths by configuring [**`caches`**](https://concourse-ci.org/tasks.html#task-caches) in the task config. This can be used to speed up builds that fetch dependencies at runtime or compile into a common directory (e.g. `pkg` for Go). For more information, see [**`caches`**](https://concourse-ci.org/tasks.html#task-caches).
  
  
#### <sub><sup><a name="v330-note-4" href="#v330-note-4">:link:</a></sup></sub> feature, security

* In our initial support for [encryption](https://concourse-ci.org/encryption.html), we missed a spot. Build plans (an internal structure generated when a build starts) were previously saved into the database in plaintext, and would sit around forever.
  
  Now, we encrypt them and remove the build plan (encrypted or not) when the build completes.
  
  
#### <sub><sup><a name="v330-note-5" href="#v330-note-5">:link:</a></sup></sub> fix

* Previously, if a serial group had a paused job in it, and the job had a build queued up, the entire serial group would wait for this build that would never run, forcing you to continuously abort the pending builds to unwedge your pipeline.
  
  It...doesn't do that now, thanks to a PR by @jmcarp!
  
  
#### <sub><sup><a name="v330-note-6" href="#v330-note-6">:link:</a></sup></sub> fix

* A previous release broke rendering of older builds. They'll now render properly.
  
  
#### <sub><sup><a name="v330-note-7" href="#v330-note-7">:link:</a></sup></sub> feature

* The web UI will now serve back a 404 page when the content you requested is not found, rather than just...being broken.
  
  
#### <sub><sup><a name="v330-note-8" href="#v330-note-8">:link:</a></sup></sub> feature

* The login prompt will now tell you if your basic auth credentials were invalid, rather than leaving you to sit and think about what you've done wrong.
  
  
#### <sub><sup><a name="v330-note-9" href="#v330-note-9">:link:</a></sup></sub> feature

* Concourse now supports GitLab oAuth configuration, thanks to a PR by @markstgodard!
  
  
