#### <sub><sup><a name="v350-note-1" href="#v350-note-1">:link:</a></sup></sub> feature, security

* Those of you using our BOSH release have been stuck with either our way-out-of-date-and-vulnerable-to-thousands-of-CVEs-and-EOL-next-year version of Postgres (9.3), or an external Postgres server. NO LONGER!
  
  We've enabled an upgrade path to the [CloudFoundry Postgres BOSH release](https://github.com/cloudfoundry/postgres-release), which is up-to-date (currently 9.6.4) and even supports release-to-release upgrade paths!
  
  > **warning:** The next version of Concourse will require version 9.5+ of Postgres, so action is required either now or upon the next release to upgrade.
  > 
  > The `postgresql` job in our release should now be considered deprecated, and will be removed in the next release.
  > 
  > 
  To switch off from our pitiful pre-packaged precarious Postgres, do the following:
  
  
  
  * First, deploy this version of Concourse with no changes. We have modified our Postgres job to move its data to a new location that the Cloud Foundry Postgres release will upgrade from.
    
    
  
  * After the deploy has finished, upload the Cloud Foundry Postgres release. We've tested the upgrade path with version 22, available on [bosh.io](http://bosh.io/releases/github.com/cloudfoundry/postgres-release?version=22).
    
    
  
  * Once the release is uploaded, add it to your deployment manifest, swap out the `concourse/postgresql` job for the `postgres/postgres` job, and update the ATC properties to explicitly configure the database and role. (That's a mouthful, but you can use [our changes to the single-vm manifest](https://github.com/concourse/concourse/commit/17be5f144a799e344c9d1bb56d9595ff164c96ef) as a reference.)
    
    
  
  * Note that the Postgres DB upgrade must not be combined in the same deployment operation with a stemcell update.
    
    
  
  
#### <sub><sup><a name="v350-note-2" href="#v350-note-2">:link:</a></sup></sub> feature

* Concourse now supports [CredHub](https://github.com/cloudfoundry-incubator/credhub) for external credential management. See [CredHub credential manager](https://concourse-ci.org/credhub-credential-manager.html) for more information.
  
  
#### <sub><sup><a name="v350-note-3" href="#v350-note-3">:link:</a></sup></sub> fix

* GC no longer creates crazy seesaw patterns with containers and volumes. This was an issue that was introduced in v3.4.1 when 2 or more teams have identically configured resources. It's been fixed now.
  
  
#### <sub><sup><a name="v350-note-4" href="#v350-note-4">:link:</a></sup></sub> fix

* Fixed a leak with goroutines that happens from [`fly intercept`](https://concourse-ci.org/builds.html#fly-intercept)
  
  
#### <sub><sup><a name="v350-note-5" href="#v350-note-5">:link:</a></sup></sub> feature

* When using groups in pipelines, `fly` will now let you know when you forgot to assign a job to a group. Say goodbye to hidden pipelines!
  
  
#### <sub><sup><a name="v350-note-6" href="#v350-note-6">:link:</a></sup></sub> fix

* Jobs and resources with a forward slash in their name no longer error out when loading their details.
  
  
#### <sub><sup><a name="v350-note-7" href="#v350-note-7">:link:</a></sup></sub> feature

* The [`semver` resource](https://github.com/concourse/semver-resource) now supports Google Cloud Storage. Thanks @chendrix!
  
  
#### <sub><sup><a name="v350-note-8" href="#v350-note-8">:link:</a></sup></sub> fix

* The [`s3` resource](https://github.com/concourse/s3-resource) correctly shows the progress of uploading and downloading. It will no longer report 2 TB/s. Thanks @krishicks!
  
  
