#### <sub><sup><a name="v520-note-1" href="#v520-note-1">:link:</a></sup></sub> feature, breaking

* @ralekseenkov has implemented generic credential caching for all credential managers!
  
  **This replaces the Vault-only caching functionality.** To transition, you'll need to update the following flags.
  
  
  
  * `--vault-cache` is now `--secret-cache-enabled`
    
    
  
  * `--vault-max-lease` is now `--secret-cache-duration`
    
    
  
  As part of this change, credential managers now implement a simpler interface that will make it easier to look-up secrets in multiple paths.
  
  For more information, see [Credential Management](https://concourse-ci.org/creds.html).
  
  To follow along with future planned improvements to credential management, check out concourse/rfcs#21.
  
  
#### <sub><sup><a name="v520-note-2" href="#v520-note-2">:link:</a></sup></sub> fix, breaking

* @stigtermichiel changed the short-flag for `fly builds --team` from `-t` from `-n` to make it consistent across `fly`. Consistency is key.
  
  
#### <sub><sup><a name="v520-note-3" href="#v520-note-3">:link:</a></sup></sub> feature

* A new [`pipeline-operator` role](https://concourse-ci.org/user-roles.html#team-pipeline-operator-role) has been added (thanks to @tlwr and @paroxp) which has more permissions than a [`viewer`](https://concourse-ci.org/user-roles.html#team-viewer-role) but less than a [`member`](https://concourse-ci.org/user-roles.html#team-member-role). For an exhaustive comparison of capabilities, see the [Permission Matrix](https://concourse-ci.org/user-roles.html#permission-matrix).
  
  
#### <sub><sup><a name="v520-note-4" href="#v520-note-4">:link:</a></sup></sub> feature

* The [`web` node](https://concourse-ci.org/concourse-web.html) can now be configured to enable [audit logs](https://concourse-ci.org/concourse-web.html#audit-logs), thanks to a PR by @loghen41!
  
  Auditing currently logs API calls to the default logger using flags to enable specific auditing groups.
  
  
#### <sub><sup><a name="v520-note-5" href="#v520-note-5">:link:</a></sup></sub> feature

* Like a phoenix from the ashes, the pipeline navigation sidebar has made its triumphant return. It was initially removed to focus our efforts on the dashboard as a navigation flow. We have concluded that one click is better than two.
  
  Expect more design/UX polish in future releases!
  
  
#### <sub><sup><a name="v520-note-6" href="#v520-note-6">:link:</a></sup></sub> feature

* @itsdalmo has introduced a new [`in_parallel` step](https://concourse-ci.org/in-parallel-step.html) which can run steps in parallel with more control via additional config: `limit` which will limit the number of parallel steps, and `fail_fast` which will interrupt currently running steps and prevent scheduling pending steps.
  
  This sounds a lot like the [`aggregate` step](https://concourse-ci.org/aggregate-step.html), only better in every way (e.g. it doesn't have a stupid name), so [`fly set-pipeline`](https://concourse-ci.org/setting-pipelines.html#fly-set-pipeline) will now issue deprecation warnings for `aggregate:` usage.
  
  
#### <sub><sup><a name="v520-note-7" href="#v520-note-7">:link:</a></sup></sub> feature

* Added a tooltip to the pause toggle on the dashboard page and the pipeline page explaining why it might be disabled.
  
  
#### <sub><sup><a name="v520-note-8" href="#v520-note-8">:link:</a></sup></sub> feature

* @hprotzek added the ability to retain build logs for a specific time duration and/or build count. See [**`build_log_retention`**](https://concourse-ci.org/jobs.html#job-build-log-retention) for more details.
  
  
#### <sub><sup><a name="v520-note-9" href="#v520-note-9">:link:</a></sup></sub> security

* We have restricted the SSH MAC algorithms used by the [`web` node](https://concourse-ci.org/concourse-web.html) to a more secure set, overriding the Go defaults which allow weaker algorithms.
  
  
#### <sub><sup><a name="v520-note-10" href="#v520-note-10">:link:</a></sup></sub> feature

* Concourse is now compatible with [Credhub](https://concourse-ci.org/credhub-credential-manager.html) v2.x (except for 2.1 due to a bug)! CredHub v1.9.x is still supported, too.
  
  
#### <sub><sup><a name="v520-note-11" href="#v520-note-11">:link:</a></sup></sub> feature

* Added ability set a name for the Concourse cluster which will be displayed on the dashboard page by setting `cluster-name` flag.
  
  
#### <sub><sup><a name="v520-note-12" href="#v520-note-12">:link:</a></sup></sub> feature

* @cappyzawa added a new `get-team` subcommand to `fly`. It allows you to retrieve a single team's config.
  
  
#### <sub><sup><a name="v520-note-13" href="#v520-note-13">:link:</a></sup></sub> feature

* @rkoster added a new flag `--external-garden-url` to allow use of a separately-managed Garden server as a worker.
  
  
#### <sub><sup><a name="v520-note-14" href="#v520-note-14">:link:</a></sup></sub> feature

* @pivotal-kahin-ng added a way of retaining the build history of a job when renaming it, by updating the job name and specifying its old name as [**`old_name`**](https://concourse-ci.org/jobs.html#job-old-name). After the pipeline has been configured, the `old_name` field can be removed.
  
  
#### <sub><sup><a name="v520-note-15" href="#v520-note-15">:link:</a></sup></sub> fix

* We reduced the default concurrency settings for volume sweeping from 5 to 3 as a way of reducing the stress that volume deletion ends up putting on the system in some cases.
  
  
#### <sub><sup><a name="v520-note-16" href="#v520-note-16">:link:</a></sup></sub> fix

* @edtan fixed a panic caused by running `concourse web` without a `--session-signing-key`.
  
  
#### <sub><sup><a name="v520-note-17" href="#v520-note-17">:link:</a></sup></sub> fix

* The Concourse API now returns `401 Unauthorized` when an expired/invalid token is used to access an endpoint which supports authenticated/unauthenticated views.
  
  Previously it would just return a 200 response with less data, as if you weren't logged in, which made the behavior somewhat ambiguous and made auto-relogin logic difficult to implement consistently.
  
  
#### <sub><sup><a name="v520-note-18" href="#v520-note-18">:link:</a></sup></sub> fix

* Fixed a bug with Dex CloudFoundry connector when the user is a member of many teams. Thanks to @daniellavoie!
  
  
#### <sub><sup><a name="v520-note-19" href="#v520-note-19">:link:</a></sup></sub> fix

* Fixed a bug where the user gets a "You are not authorized to view the details of this pipeline" while watching a build.
  
  
#### <sub><sup><a name="v520-note-20" href="#v520-note-20">:link:</a></sup></sub> fix

* Fixed a bug where aborting a started build prior to a [`web` node](https://concourse-ci.org/concourse-web.html) re-attaching to it would result in an orphaned, still running, uncompleted build.
  
  Along the way, the general 'aborting' flow has been refactored and should fix up any oddities caused by aborting builds at...inopportune moments.
  
  
#### <sub><sup><a name="v520-note-21" href="#v520-note-21">:link:</a></sup></sub> fix

* `fly prune-worker --all-stalled` has been fixed to only return a warning if no stalled workers are found, instead of an error.
  
  
#### <sub><sup><a name="v520-note-22" href="#v520-note-22">:link:</a></sup></sub> fix

* `concourse quickstart` has been fixed to ignore the `--worker-tsa-worker-private-key` flag.
  
  
#### <sub><sup><a name="v520-note-23" href="#v520-note-23">:link:</a></sup></sub> fix

* [`fly set-pipeline`](https://concourse-ci.org/setting-pipelines.html#fly-set-pipeline) with `--check-creds` flag no longer panics.
  
  
#### <sub><sup><a name="v520-note-24" href="#v520-note-24">:link:</a></sup></sub> fix

* Multiple groups in the same pipeline can no longer use the same name. An error is now raised if attempted.
  
  
#### <sub><sup><a name="v520-note-25" href="#v520-note-25">:link:</a></sup></sub> fix

* Fixed a bug where `fly execute --input` would hang indefinitely after uploading the input directory as a consequence of the web node stopping.
  
  
