#### <sub><sup><a name="v530-note-1" href="#v530-note-1">:link:</a></sup></sub> feature

* @rliebz added the ability for `put` steps to [`git` resource](https://github.com/concourse/git-resource)s with the parameter `merge: true` to be further configured with the parameter `returning: unmerged`, which will ensure that concurrent changes to the same remote branch do not affect downstream jobs concourse/git-resource#262.
  
  
#### <sub><sup><a name="v530-note-2" href="#v530-note-2">:link:</a></sup></sub> feature

* Added the option for the [BOSH Backup and Restore](https://docs.cloudfoundry.org/bbr/) database backup job in the [BOSH release](https://github.com/concourse/concourse-bosh-release) to be configured via a [BOSH link](https://bosh.io/docs/links/) concourse/concourse-bosh-release#29, concourse/concourse-bosh-release#35.
  
  
#### <sub><sup><a name="v530-note-3" href="#v530-note-3">:link:</a></sup></sub> feature

* @stigtermichiel tuned our build process so that the size of the compressed frontend code is reduced by a factor of 3 - page loads should be accordingly faster concourse/concourse#3915.
  
  
#### <sub><sup><a name="v530-note-4" href="#v530-note-4">:link:</a></sup></sub> feature

* If you want your web node to accept encrypted connections over HTTPS, you now have the option of connecting to an [ACME server](https://en.wikipedia.org/wiki/Automated_Certificate_Management_Environment) to automatically retrieve a certificate from an ACME server of your choice. By default it will reach the free public ACME service provided by [Let's Encrypt](https://letsencrypt.org/).
  
  Thanks to @henderjm for the PR concourse/concourse#3878!
  
  
#### <sub><sup><a name="v530-note-5" href="#v530-note-5">:link:</a></sup></sub> feature

* @agurney improved the info api endpoint (`/api/v1/info`) to return both the external URL and cluster name concourse/concourse#3862.
  
  Hopefully this will enable future improvements to `fly` and the web UI!
  
  
#### <sub><sup><a name="v530-note-6" href="#v530-note-6">:link:</a></sup></sub> feature

* @jmccann enabled Concourse to authenticate with [Vault as a credential manager](https://concourse-ci.org/vault-credential-manager.html) via an LDAP backend by setting `CONCOURSE_VAULT_AUTH_PARAM="username:<your ldap username>,password:<your ldap password>"` concourse/concourse#3884.
  
  
#### <sub><sup><a name="v530-note-7" href="#v530-note-7">:link:</a></sup></sub> feature

* When you pin a resource through the web UI, your name and current local time will now be automatically added as the pin comment concourse/concourse#3743.
  
  
#### <sub><sup><a name="v530-note-8" href="#v530-note-8">:link:</a></sup></sub> feature

* The 'password' field on the login page now has an HTML property that will be ignored by most browsers, but helps Concourse pass some automated security scans concourse/concourse#3839.
  
  
#### <sub><sup><a name="v530-note-9" href="#v530-note-9">:link:</a></sup></sub> feature

* @tvon gave the highlighted lines on the build page a slightly darker color so they really pop concourse/concourse#3866.
  
  
#### <sub><sup><a name="v530-note-10" href="#v530-note-10">:link:</a></sup></sub> fix

* @palixthepalalix fixed a [bug](https://github.com/concourse/concourse/issues/3794) in the [`git` resource](https://github.com/concourse/git-resource) where commits from extraneous branches could appear in the version history if a tag filter was specified concourse/git-resource#261.
  
  
#### <sub><sup><a name="v530-note-11" href="#v530-note-11">:link:</a></sup></sub> fix

* Made the Concourse worker process systemd-aware. This fixed a subtle [bug](https://github.com/concourse/concourse/issues/3613) introduced in [**v5.0.0**](https://github.com/concourse/concourse/releases/tag/v5.0.0) that could, on rare occasions, cause [container limits](https://concourse-ci.org/tasks.html#task-container-limits) not to be enforced or prevent containers from being killed concourse/concourse-bosh-release#24, concourse/concourse-bosh-release#31.
  
  Thanks to @bodymindarts for contributing to this effort.
  
  
#### <sub><sup><a name="v530-note-12" href="#v530-note-12">:link:</a></sup></sub> fix

* Addressed a bug where in rare circumstances, `fly intercept -c` would find multiple check containers for the same resource concourse/concourse#3983.
  
  
#### <sub><sup><a name="v530-note-13" href="#v530-note-13">:link:</a></sup></sub> fix

* In service of a [refactor](https://github.com/concourse/concourse/issues/3811), [task caches](https://concourse-ci.org/tasks.html#caches) are now decoupled from the worker(s) they are stored on. As a result, you may find that in multi-worker deployments, pipelines making use of task caches may consume duplicate storage across workers concourse/concourse#3830, concourse/concourse#3965.
  
  
#### <sub><sup><a name="v530-note-14" href="#v530-note-14">:link:</a></sup></sub> fix

* Corrected a [surprising behaviour](https://github.com/concourse/concourse/issues/3957) where, when a pipeline was paused for an extended period of time, many of its resources' versions would disappear concourse/concourse#3963.
  
  
#### <sub><sup><a name="v530-note-15" href="#v530-note-15">:link:</a></sup></sub> fix

* There was a long-standing [bug](https://github.com/concourse/concourse/issues/1710) on the dashboard, where the existence of circular pipelines would cause the browser to crash. This was fixed in [**v5.2.0**](https://github.com/concourse/concourse/releases/tag/v5.2.0), but the fix caused a [performance regression](https://github.com/concourse/concourse/issues/3748), which is now also fixed concourse/concourse#3870, concourse/concourse#3901.
  
  
#### <sub><sup><a name="v530-note-16" href="#v530-note-16">:link:</a></sup></sub> fix

* Fixed a [bug](https://github.com/concourse/concourse/issues/3814), introduced in [**v5.1.0**](https://github.com/concourse/concourse/releases/tag/v5.1.0), where, on a build step with [`attempts:`](https://concourse-ci.org/attempts-step-modifier.html) specified, only one attempt would be possible to view on the build page concourse/concourse#3898.
  
  
#### <sub><sup><a name="v530-note-17" href="#v530-note-17">:link:</a></sup></sub> fix

* @gaelL Fixed a [bug](https://github.com/concourse/concourse/issues/3549), which had existed since at least [**v4.2.3**](https://github.com/concourse/concourse/releases/tag/v4.2.3), where operators were prevented from retiring team-scoped workers with the `concourse retire-worker` command concourse/concourse#3929.
  
  
#### <sub><sup><a name="v530-note-18" href="#v530-note-18">:link:</a></sup></sub> fix

* A [bug](https://github.com/concourse/concourse/issues/3930) on the reaped build logs screen was fixed, where a link was pointing to deprecated documentation concourse/concourse#3931.
  
  This screen is visible when you visit a build that is older than its job's configured [retention policy](https://concourse-ci.org/jobs.html#job-build-log-retention).
  
  
#### <sub><sup><a name="v530-note-19" href="#v530-note-19">:link:</a></sup></sub> fix

* Fixed a problem with one of the database migrations introduced in [**v5.0.0**](https://github.com/concourse/concourse/releases/tag/v5.0.0) which could cause the web node startup to fail in some cases. This won't affect users who have kept up to date until now, but if this is the first version of Concourse you are deploying since before [**v5.0.0**](https://github.com/concourse/concourse/releases/tag/v5.0.0), the upgrade should be a little more resilient concourse/concourse#3996.
  
  
#### <sub><sup><a name="v530-note-20" href="#v530-note-20">:link:</a></sup></sub> fix

* @mockersf fixed a problem where timestamps weren't being properly returned when a get step or a put step finished. This caused some wacky durations to be displayed on build pages concourse/concourse#3871.
  
  
#### <sub><sup><a name="v530-note-21" href="#v530-note-21">:link:</a></sup></sub> fix

* Fixed an issue with our build process that caused `fly` to [stop working](https://github.com/concourse/concourse/issues/3691) for some folks making use of a VPN with split DNS.
  
  
#### <sub><sup><a name="v530-note-22" href="#v530-note-22">:link:</a></sup></sub> fix

* Fixed a [bug](https://github.com/concourse/concourse/issues/2323) where the dashboard preview of a paused job with a pending build would show the color of the most recent build's status, when it should be blue concourse/concourse#3718.
  
  
