#### <sub><sup><a name="v560-note-4202" href="#v560-note-4202">:link:</a></sup></sub> feature

* There is a new experimental method of resource checking, which is off by default but can be turned on via `CONCOURSE_ENABLE_LIDAR`.

  The entire system has been redesigned to be asynchronous, but that shouldn't have any affect on your existing workflows. `fly check-resource` and `fly check-resource-type` will continue to work the way you expect them to (except for a small change to the command output). In addition you can now specify an `--async` flag if you don't want to wait for the check to finish.

  It's worth noting that concourse performs a lot of checks (like A LOT). Since we're now storing checks in the database, this table will tend to grow very quickly. By default checks get gc'ed every 6 hrs, but this interval can be configured by specifying a `CONCOURSE_GC_CHECK_RECYCLE_PERIOD`. If you want to reduce the number of checks that happen, you can start making heavier use of the `webhook` endpoint to trigger checks from external sources. This allows you to significantly reduce the `check_every` interval (default 1m) for your resource without impacting the time it takes to schedule a build. 

  If you're interested in more detail about what changed you can have a look at the corresponding PR #4202 or the initial issue #3788.


#### <sub><sup><a name="v560-note-4417" href="#v560-note-4417">:link:</a></sup></sub> feature

* Fly has a new sub-command `pin-resource`, which will pin a resource (and optionally comment) given at least one field of the version to pin to #2702 #4417.

#### <sub><sup><a name="v560-note-4380" href="#v560-note-4380">:link:</a></sup></sub> feature

* When configuring a job, a subset of the pinned version's fields can now be provided to the [`version:` field on a `get` step](https://concourse-ci.org/get-step.html#get-step-version).

#### <sub><sup><a name="v560-note-4481" href="#v560-note-4481">:link:</a></sup></sub> feature

* @evanchaoli added `age` column to `fly workers`, #4481.

#### <sub><sup><a name="v560-note-4311" href="#v560-note-4311">:link:</a></sup></sub> feature

* Credentials fetched from a credential manager will now be automatically redacted from build output, thanks to a couple of PRs by @evanchaoli! #4311 #4398

  This feature is currently opt-in. To learn how to enable it, check out the [docs](https://concourse-ci.org/creds-redacting.html).

#### <sub><sup><a name="v560-note-3895" href="#v560-note-3895">:link:</a></sup></sub> feature

* @ralekseenkov added a web runtime flag `CONCOURSE_SECRET_CACHE_DURATION_NOTFOUND` to set a separate caching interval when a secret is not successfully found in the config store.  Defaults to 10s. Addresses #3895 #4009.

#### <sub><sup><a name="v560-note-4387" href="#v560-note-4387">:link:</a></sup></sub> feature

* The cluster name can now be added to each and every log line with the handy dandy `--log-cluster-name` flag, available on the `web` nodes. This can be used in a scenario where you have multiple Concourse clusters forwarding logs to a common sink and have no other way of categorizing the logs. Thanks again @evanchaoli! #4387

#### <sub><sup><a name="v560-note-4153" href="#v560-note-4153">:link:</a></sup></sub> feature

* @thoHeinze added `CONCOURSE_GARDEN_NETWORK_POOL` as configurable flag in BOSH release.
  Defaults to Garden's range of 10.254.0.0/22. Addresses #4153.

#### <sub><sup><a name="v560-note-43" href="#v560-note-43">:link:</a></sup></sub> feature

* @joshzarrabi and @aemengo added `CONCOURSE_GARDEN_MAX_CONTAINERS` as configurable flag in BOSH release.
  Defaults to 250. Please note that setting this limit over 250 has not been tested by the Garden team or the Concourse team. [#43](concourse/concourse-bosh-release#43).

#### <sub><sup><a name="v560-note-4438" href="#v560-note-4438">:link:</a></sup></sub> feature

* When the web node is instructing a worker to create a container, any logs emitted will mention that worker's name #4438. Thanks @christophermancini!

#### <sub><sup><a name="v560-note-registry-image-46" href="#v560-registry-image-46">:link:</a></sup></sub> feature

* @SimonXming added the [`content_trust:`](https://github.com/concourse/registry-image-resource#source-configuration) field to the [`registry-image resource`](https://github.com/concourse/registry-image-resource), so now you can sign your container images with a notary server concourse/registry-image-resource#41, concourse/registry-image-resource#46.

#### <sub><sup><a name="v560-note-4314" href="#v560-note-4314">:link:</a></sup></sub> fix

* @robwhitby fixed an issue with `fly login` where Safari would block your token from being transferred to fly #4314, #4423, #4439.

#### <sub><sup><a name="v560-note-4236" href="#v560-note-4236">:link:</a></sup></sub> fix

* `fly` now validates that, when specifying [a specific `version` on a `get` step](https://concourse-ci.org/get-step.html#get-step-version), only string values (no nested YAML) are allowed #4236.

#### <sub><sup><a name="v560-note-4348" href="#v560-note-4348">:link:</a></sup></sub> fix

* The [fly `set-team`](https://concourse-ci.org/managing-teams.html#fly-set-team) documentation when running `--help` previously suggested that a list is a valid input to any auth configuration flags. This doesn't mean you can supply a comma-separated list to the flag, rather that the flag can be provided multiple times. The [fly `set-team`](https://concourse-ci.org/managing-teams.html#fly-set-team) help documentation now reflects this, thanks to @niall-byrne! #4348

#### <sub><sup><a name="v560-note-4442" href="#v560-note-4442">:link:</a></sup></sub> fix

* @nelsam fixed a delicate bug where `/opt/resource/out` scripts in resources could crash web nodes by outputing `null` to `stdout`, causing a nil pointer dereference #4442.

#### <sub><sup><a name="v560-note-4446" href="#v560-note-4446">:link:</a></sup></sub> fix

* @kmdouglass fixed a [bug](https://github.com/concourse/concourse/issues/4341) introduced by #3037 in [v5.5.0](https://github.com/concourse/concourse/releases/tag/v5.5.0) where prometheus metrics would get clogged up with data about workers that were no longer registering #4445.

#### <sub><sup><a name="v560-note-semver-102" href="#v560-note-semver-102">:link:</a></sup></sub> fix

* @bodin fixed an issue with the [`semver-resource`](https://github.com/concourse/semver-resource) with the [git driver](https://github.com/concourse/semver-resource#git-driver): now the resource will create the `file:` specified in the source configuration if it doesn't already exist exist concourse/semver-resource#102.

#### <sub><sup><a name="v560-note-semver-92" href="#v560-note-semver-92">:link:</a></sup></sub> fix

* @mgsolid fixed an [issue](https://github.com/concourse/semver-resource/issues/89) the git driver for the [`semver-resource`](https://github.com/concourse/semver-resource) would go into an infinite loop when `git push` failed concourse/semver-resource#92.

#### <sub><sup><a name="v560-note-git-271" href="#v560-note-git-271">:link:</a></sup></sub> fix

* @CliffHoogervorst fixed an issue where the [`git resource`] would show too many commits when [`paths:`](https://github.com/concourse/git-resource#source-configuration) was specified concourse/git-resource#271.

#### <sub><sup><a name="v560-note-4479" href="#v560-note-4479">:link:</a></sup></sub> fix

* @int-tt corrected the DNS proxy used by workers when running in Docker to compress the response message sent to the client. #4479 #4478
