#### <sub><sup><a name="4708" href="#4708">:link:</a></sup></sub> feature

* The first step (heh) along our [road to v10](https://blog.concourse-ci.org/core-roadmap-towards-v10/) has been taken!

  @evanchaoli implemented the [`set_pipeline` step](https://concourse-ci.org/set-pipeline-step.html) described by [RFC #31](https://github.com/concourse/rfcs/pull/31). The RFC is still technically in progress so the step is 'experimental' for now.

  The `set_pipeline` step allows a build to configure a pipeline within the build's team. This is the first "core" step type added since the concept of "build plans" was introduced, joining `get`, `put`, and `task`. Exciting!

  The key goal of the v10 roadmap is to support multi-branch and PR workflows, which require something more dynamic than `fly set-pipeline`. The theory is that by making pipelines more first-class - allowing them to be configured and automated by Concourse itself - we can support these more dynamic use cases by leveraging existing concepts instead of adding complexity to existing ones.

  As a refresher, here's where this piece fits in our roadmap for multi-branch/PR workflows:

  * With [RFC #33: archiving pipelines](https://github.com/concourse/rfcs/pull/33), any pipelines set by a `set_pipeline` step will be subject to automatic archival once a new build of the same job completes that no longer sets the pipeline. This way pipelines that are removed from the build plan will automatically go away, while preserving their build history.

  * With [RFC #34: instanced pipelines](https://github.com/concourse/rfcs/pull/34), pipelines sharing a common template can be configured with a common name, using `((vars))` to identify the instance. For example, you could have many instances of a `branches` pipeline, with `((branch_name))` as the "instance" var. Building on the previous point, instances which are no longer set by the build will be automatically archived.

  * With [RFC #29: spatial resources](https://github.com/concourse/rfcs/pull/29), the `set_pipeline` step can be automated to configure a pipeline instance corresponding to each "space" of a resource - i.e. all branches or pull requests in a repo. This RFC needs a bit of TLC (it hasn't been updated to be [prototype-based](https://blog.concourse-ci.org/reinventing-resource-types/)), but the basic idea is there.

  With all three of these RFCs delivered, we will have complete automation of pipelines for branches and pull requests! For more detail on the whole approach, check out the original [v10 blog post](https://blog.concourse-ci.org/core-roadmap-towards-v10/).

  Looking further ahead on the roadmap, [RFC #32: projects](https://github.com/concourse/rfcs/pull/32) proposes introduce a more explicit GitOps-style approach to configuration automation. In this context the `set_pipeline` step may feel a lot more natural. Until then, the `set_pipeline` step can be used as a simpler alternative to the [`concourse-pipeline` resource](https://github.com/concourse/concourse-pipeline-resource), with the key difference being that the `set_pipeline` step doesn't need any auth config.

#### <sub><sup><a name="4600" href="#4600">:link:</a></sup></sub> feature

* @evanchaoli added support for [`var_sources`](https://concourse-ci.org/runtime-vars.html#var-sources) in the pipeline config. With this feature, concourse can fetch secrets from multiple independent credential managers per pipeline. While this feature is currently in an **experimental** state and not yet tested in production, it is the first step to enabling workflows where teams sharing a Concourse instance can independently manage their own credential managers. For the moment, only vault or the dummy credential manager can be used to back a `var_source` (the other credential manager types do not work). #4600, #4777

#### <sub><sup><a name="4657" href="#4657">:link:</a></sup></sub> feature

* @evanchaoli added the ability to tune the [mapping between API actions and roles](https://concourse-ci.org/user-roles.html#configuring-rbac) via the `--config-rbac` flag. While you can't yet create your own roles, you can customize the built-in ones by promoting and demoting the roles to which certain API actions are assigned. #4657

#### <sub><sup><a name="4693" href="#4693">:link:</a></sup></sub> feature

* @AndrewCopeland and @cyberark-bizdev added support for Conjur as a credential manager. #4693

#### <sub><sup><a name="4684" href="4684">:link:</a></sup></sub> feature

* @anianz added support for Microsoft login via [dex](https://github.com/dexidp/dex/blob/master/Documentation/connectors/microsoft.md). #4684

#### <sub><sup><a name="4688" href="#4688">:link:</a></sup></sub> feature

* The pin menu on the pipeline page now matches the sidebar, and the dropdown toggles on clicking the pin icon. #4688

#### <sub><sup><a name="4556" href="#4556">:link:</a></sup></sub> feature

* Prometheus and NewRelic can receive Lidar check-finished event now. #4556

#### <sub><sup><a name="4707" href="#4707">:link:</a></sup></sub> feature

* Make Garden client HTTP timeout configurable. #4707

#### <sub><sup><a name="4698" href="#4698">:link:</a></sup></sub> feature

* @pivotal-bin-ju @taylorsilva @xtreme-sameer-vohra added batching to the NewRelic emitter and logging info for non 2xx responses from NewRelic. #4698

#### <sub><sup><a name="4748" href="#4748">:link:</a></sup></sub> feature

* @andhadley added support for Vault namespaces. #4748

#### <sub><sup><a name="4323" href="#4323">:link:</a></sup></sub> feature

* @hfinucane added a `--url` flag to `fly watch`, so now you can just copy the URL of a build from your browser and paste it in your terminal to keep watching the build. #4323

#### <sub><sup><a name="4706" href="#4706">:link:</a></sup></sub> feature

* Concourse team roles can now be assigned to different CF space roles independently. For example, you can now create role mappings like "auditors in my CF space should be viewers in my Concourse team", whereas before you could only assign Concourse roles to CF developers. #4712, #4729

#### <sub><sup><a name="4692" href="#4692">:link:</a></sup></sub> feature

* Concourse now emits some useful metrics when [lidar](https://github.com/concourse/concourse/releases#v560-note-4202) is enabled: the size of the check queue, the number of checks queued per atc each tick, number of checks GCed at a time, checks started and checks finished. #4692

#### <sub><sup><a name="4942" href="#4942">:link:</a></sup></sub> feature

* The build page now shows text labels for different step types, like `get:`, `task:` and `set_pipeline:`, instead of the icons from previous versions. Hopefully this is more accessible and easier to interpret! #4942

#### <sub><sup><a name="stub-containerd" href="#stub-containerd">:link:</a></sup></sub> feature, stub

* The Concourse team is in the early stages of implementing a new backend for our container runtime based on [containerd](https://github.com/containerd/containerd), which is more featureful than the [guardian](https://github.com/cloudfoundry/guardian) we have relied on until now. We have not yet implemented all of the methods required by Garden, so the existing work (which can be enabled by passing the `--use-containerd` flag to `concourse worker`) is in a **non-functional state**. This work is tracked in [this project](https://github.com/concourse/concourse/projects/44). #4779, #4778, #4752, #4853, #4784

#### <sub><sup><a name="4865" href="#4865">:link:</a></sup></sub> fix

* @kcmannem finally fixed the jagged edges on the progress bar indicators used by the dashboard. #4865

#### <sub><sup><a name="4749" href="#4749">:link:</a></sup></sub> fix

* @evanchaoli fixed a weird behavior with secret redaction wherein a secret containing e.g. `{` on its own line (i.e. formatted JSON) would result in `{` being replaced with `((redacted))` in build logs. Single-character lines will instead be skipped. #4749

  As an aside, anyone with a truly single-character credential *may* want to add another character or two.

#### <sub><sup><a name="4804" href="#4804">:link:</a></sup></sub> fix

* @vito bumped the `autocert` dependency so that Let's Encrypt will default to the ACME v2 API. #4804

#### <sub><sup><a name="registry-image-0.8.2" href="#registry-image-0.8.2">:link:</a></sup></sub> fix

* Bumped the [`registry-image` resource](https://github.com/concourse/registry-image-resource) to [v0.8.2](https://github.com/concourse/registry-image-resource/releases/tag/v0.8.2), which should resolve `DIGEST_INVALID` errors (among others) introduced by faulty retry logic. Additionally, the resource will now retry on `429 Too Many Requests` errors from the registry, with exponential back-off up to 1 hour.

#### <sub><sup><a name="4808" href="#4808">:link:</a></sup></sub> fix

* @evanchaoli fixed a race condition resulting in a crash with LIDAR enabled. #4808

#### <sub><sup><a name="4817" href="#4817">:link:</a></sup></sub> fix

* @evanchaoli fixed a regression introduced with the secret redaction work which resulted in build logs being buffered. #4817

#### <sub><sup><a name="4746" href="#4746">:link:</a></sup></sub> fix

* Fixed the problem of when fail_fast for in_parallel is true, a failing step causes the in_parallel to fall into on_error. #4746

#### <sub><sup><a name="4816" href="#4816">:link:</a></sup></sub> fix

* @witjem removed superfluous mentions of `register-worker` from TSA. #4816

#### <sub><sup><a name="4858" href="#4858">:link:</a></sup></sub> fix

* @evanchaoli changed the behaviour of `fly set-team` so that when a role has no groups or users configured, it no longer raises an error. #4858

#### <sub><sup><a name="4758" href="#4758">:link:</a></sup></sub> fix

* @witjem improved the error that fly reports when your `.flyrc` has invalid YAML. #4758

#### <sub><sup><a name="4745" href="#4745">:link:</a></sup></sub> fix

* @xtremerui changed the `concourse` CLI to output help text on `stdout` when the `-h` or `--help` flag is passed. This makes it easier to use other tools like `grep` to find relevant parts of the usage text. #4745

#### <sub><sup><a name="4701" href="#4701">:link:</a></sup></sub> fix

* Concourse used to check the existence of legacy migration table by accessing `information_schema` and parsed out the error message `does not exist` in English; @xtremerui changed it by using `to_regclass` in postgres 9.4+, which resolved the issue for users with non-English (i.e. German) system language setup failed to migrate database. #4701

#### <sub><sup><a name="4869" href="#4869">:link:</a></sup></sub> fix

* @vito bumped the default value for the Let's Encrypt ACME URL to point to their v2 API instead of v1. This should have been in v5.7.2, but we had no automated testing for Let's Encrypt integration so there wasn't really a mental cue to check for this sort of thing.

  We're adding Let's Encrypt to our smoke tests now to catch API deprecations more quickly, and a unit test has been added to ensure that the default value for the ACME URL flag matches the default value for the client. #4869

#### <sub><sup><a name="4587" href="#4587">:link:</a></sup></sub> fix

* @pivotal-bin-ju fixed x509 issue when the super admin login without CACert after the first sucessful login. #4587

#### <sub><sup><a name="4895" href="#4895">:link:</a></sup></sub> fix

* @kirillbilchenko fixed a [bug](https://github.com/concourse/concourse/issues/3856) where the `concourse_workers_registered` metric would never go below 1, even when workers were pruned. #4895

#### <sub><sup><a name="4826" href"#4826">:link:</a></sup></sub> enhancement

* @matthewpereira enlarged the build prep list font to match the other build log output styling. #4826

#### <sub><sup><a name="4947" href="#4947">:link:</a></sup></sub> fix

* @cirocosta fixed a [bug](https://github.com/concourse/concourse/issues/4932) where an error that's not specific could lead to null pointer exception during the container creation phase. #4932
